<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_o_auth.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OAuth Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_o_auth.html">OAuth</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_o_auth.html#a44a68aa042340863ba1ab54eb02a3aca">addId</a>(OAuthId id)</td><td class="entry"><a class="el" href="class_o_auth.html">OAuth</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_o_auth.html#a370cfa3a6c5e099ea831aa47cd0bec2e">authenticate</a>(OAuthId id)</td><td class="entry"><a class="el" href="class_o_auth.html">OAuth</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_o_auth.html#ac215f9c1ca04972b9e786917c5630e14">editId</a>(OAuthId oldId, OAuthId newId)</td><td class="entry"><a class="el" href="class_o_auth.html">OAuth</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_o_auth.html#a6b884ecb6c99d0bc58e308140f443222">editPassword</a>(std::string username, std::string newPassword)</td><td class="entry"><a class="el" href="class_o_auth.html">OAuth</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_o_auth.html#a0c48fcee0a4938a9e758b939a2e7229b">editUsername</a>(std::string username, std::string newUsername)</td><td class="entry"><a class="el" href="class_o_auth.html">OAuth</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_o_auth.html#ac81443e761b766b218550a8e6b0b786b">getDatabase</a>() const </td><td class="entry"><a class="el" href="class_o_auth.html">OAuth</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_o_auth.html#a02baeb7bfc7c1d69fb8cf7dfa7f2cb98">getId</a>(std::string username)</td><td class="entry"><a class="el" href="class_o_auth.html">OAuth</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_o_auth.html#a5c3a460107cc60f0c0ab03bf90236ef9">OAuth</a>()</td><td class="entry"><a class="el" href="class_o_auth.html">OAuth</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_o_auth.html#a001af1b65d67cfba0427dc02792bf021">OAuth</a>(Database&lt; OAuthId &gt; database)</td><td class="entry"><a class="el" href="class_o_auth.html">OAuth</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_o_auth.html#a8c2ab31bcc4372b65f69bc77745ce61c">operator&lt;&lt;</a>(std::ostream &amp;out, const OAuth &amp;oauth)</td><td class="entry"><a class="el" href="class_o_auth.html">OAuth</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_o_auth.html#a4e37754724323a2b0e2dadab12ecc71d">removeId</a>(OAuthId id)</td><td class="entry"><a class="el" href="class_o_auth.html">OAuth</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_o_auth.html#a5cce8a3b92e7d98d8c25adbeb9c3cde7">wrongPassword</a>(OAuthId id)</td><td class="entry"><a class="el" href="class_o_auth.html">OAuth</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_o_auth.html#ad1fd304b1233bf1e3829f897c8413280">wrongUser</a>(OAuthId id)</td><td class="entry"><a class="el" href="class_o_auth.html">OAuth</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
